nn.pp.rccore

## Interface AudioStatusListener

- All Known Implementing Classes:
    RCAdapter

      public interface AudioStatusListener

  Event listeners representing audio status of the port
  See Also:
    `RCCore.addAudioStatusListener(AudioStatusListener)`, `RCCore.removeAudioStatusListener(AudioStatusListener)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AudioStatusListener.AudioStatus` Description of the audio status of the current KVM port Note: Audio connections from different clients must all use the same audio format.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `audioSettingsChanged(AudioStatusListener.AudioStatus speakerStatus, AudioStatusListener.AudioStatus micStatus)` Audio settings of the target have changed Note: Audio connections from different clients must all use the same audio format.
    `void` | `audioSupportChanged(boolean support)` Audio support for the target port has changed
    `void` | `hdmiAudioFormatChanged(java.lang.String hdmiAudioFormat)` The HDMI audio format has changed HDMI audio is bound to one audio format only, so the client must not select any other format.
    `void` | `hdmiAudioSupportChanged(boolean support)` The support for HDMI audio has changed

- - ### Method Detail

    - #### audioSupportChanged

          void audioSupportChanged(boolean support)

      Audio support for the target port has changed
      Parameters:
        `support` - Is audio supported for the port?
      See Also:
        `RCCore.isAudioSupportEnabled()`

    - #### audioSettingsChanged

          void audioSettingsChanged(AudioStatusListener.AudioStatus speakerStatus,
                                    AudioStatusListener.AudioStatus micStatus)

      Audio settings of the target have changed Note: Audio connections from different clients must all use the same audio format. Thus, all KVM clients are informed about the audio state of the port as soon as one KVM client starts or stops an audio session to help decide the correct audio format.
      Parameters:
        `speakerStatus` - The status of the speaker (playback device)
        `micStatus` - The status of the microphone (capture device)

    - #### hdmiAudioSupportChanged

          void hdmiAudioSupportChanged(boolean support)

      The support for HDMI audio has changed
      Parameters:
        `support` - Is HDMI audio supported for the port?
      See Also:
        `audioSupportChanged(boolean)`, `RCCore.isHdmiAudioSupported()`

    - #### hdmiAudioFormatChanged

          void hdmiAudioFormatChanged(java.lang.String hdmiAudioFormat)

      The HDMI audio format has changed HDMI audio is bound to one audio format only, so the client must not select any other format.
      Parameters:
        `hdmiAudioFormat` - The HDMI audio format. The string is in the format SampleRate_BitsPerSample_Channels, e.g. 44100_16_2 or 22050_8_1
      See Also:
        `RCCore.getHdmiAudioFormat()`, `RCCore.isAudioSupportEnabled()`, `hdmiAudioSupportChanged(boolean)`

Copyright © 2025 Raritan Inc. All Rights Reserved.